Open Lighting Architecture: ola::plugin::usbpro::UsbProInputPort Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::plugin::usbpro::UsbProInputPort Class Reference
Inheritance diagram for ola::plugin::usbpro::UsbProInputPort:

## Public Member Functions
| UsbProInputPort (UsbProDevice *parent, EnttecPort *port, unsigned int id, ola::PluginAdaptor *plugin_adaptor, const std::string &description)
const DmxBuffer & | ReadDMX () const
std::string | Description () const
| Fetch the string description for a Port.
Public Member Functions inherited from ola::BasicInputPort
| BasicInputPort (AbstractDevice *parent, unsigned int port_id, const PluginAdaptor *plugin_adaptor, bool supports_rdm=false)
| Create a new basic input port.
unsigned int | PortId () const
| Get the Port ID. This is the index within the device.
AbstractDevice * | GetDevice () const
| Get the device which owns this Port.
bool | SetUniverse (Universe *universe)
| Bind this port to a universe.
Universe * | GetUniverse () const
| Fetch the universe this Port is bound to.
virtual std::string | UniqueId () const
| Return the globally unique id for a Port.
bool | SetPriority (uint8_t priority)
| Set the Priority for this Port.
uint8_t | GetPriority () const
| Get the numeric priority for this Port.
void | SetPriorityMode (port_priority_mode mode)
| Set the Priority Mode for this Port.
port_priority_mode | GetPriorityMode () const
| Get the Priority Mode for this Port.
void | DmxChanged ()
| Called when there is new data for this port.
const DmxSource & | SourceData () const
| Get the current DMX data.
void | HandleRDMRequest (ola::rdm::RDMRequest *request, ola::rdm::RDMCallback *callback)
| Handle an RDM Request on this port.
void | TriggerRDMDiscovery (ola::rdm::RDMDiscoveryCallback *on_complete, bool full=true)
| Trigger the RDM Discovery procedure for this universe.
port_priority_capability | PriorityCapability () const
| Get the priority capabilities for this port.
virtual uint8_t | InheritedPriority () const
virtual bool | PreSetUniverse (Universe *, Universe *)
virtual void | PostSetUniverse (Universe *, Universe *)
virtual bool | SupportsRDM () const
| Check if this Port supports RDM or not.

## Additional Inherited Members
Protected Member Functions inherited from ola::BasicInputPort
virtual bool | SupportsPriorities () const

## Member Function Documentation

## ◆ Description()

std::string ola::plugin::usbpro::UsbProInputPort::Description | ( |  | ) | const
| inlinevirtual

Fetch the string description for a Port.

Returns
  a short text description of this port.

Implements ola::Port.

## ◆ ReadDMX()

const DmxBuffer & ola::plugin::usbpro::UsbProInputPort::ReadDMX | ( |  | ) | const
| inlinevirtual

Implements ola::BasicInputPort.

The documentation for this class was generated from the following file:

- plugins/usbpro/UsbProDevice.h